Page MenuHomePhabricator

[Differential] Update repo configuration to enable Differential
Closed, DeclinedPublic

Description

First steps are to define requirements for CI and come up with a plan.

Setting up Differential is straightforward, you just need a .arcconfig file in the repo. The other important part is CI integration. Please let us (Release-Engineering-Team) know what your needs are so that we can help to set it up in the most ideal way possible.

Event Timeline

mmodell created this task.May 5 2016, 5:32 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 5 2016, 5:32 PM

@mmodell, @thcipriani There doesn't seem to be any resistance on the team to exploring Differential. Is it possible to straddle both Gerrit and Differential to help ease our transition? Also, any documentation you can recommend or a canonical repo to mimic would be super helpful! Thanks! :)

demon added a comment.May 11 2016, 8:22 PM

@mmodell, @thcipriani There doesn't seem to be any resistance on the team to exploring Differential. Is it possible to straddle both Gerrit and Differential to help ease our transition? Also, any documentation you can recommend or a canonical repo to mimic would be super helpful! Thanks! :)

Yes, you can certainly straddle the two, that's what we did for scap at first. Basically you'd start out making new diffs in differential (instead of Gerrit) but when you land, you'd push back to Gerrit--which would then mirror back here. When you've finished doing leftover reviews in Gerrit, we can mark that repo read-only, make the one here canonical, and you start pushing here instead.

As far as canonical repos to mimic: rMSCA :)

mmodell triaged this task as Medium priority.May 11 2016, 10:43 PM
mmodell awarded a token.
greg moved this task from To Triage to Repository Migrations on the Gerrit-Migration board.
greg added a subscriber: greg.
greg moved this task from To Triage to Tag on the Differential board.May 12 2016, 10:35 PM

@Dbrant, is this something we could squeeze in a little official time for?

After some internal discussion, we're tentatively planning to start this early next quarter to avoid impacting our ambitious Feeds goals.

greg awarded a token.May 26 2016, 10:54 PM
Qgil moved this task from To triage to Team radar on the Developer-Advocacy board.Jun 3 2016, 7:53 AM
Niedzielski renamed this task from Investigate migrating the Wikipedia Android App to Differential to [Differential] Update repo configuration to enable Differential.Jul 22 2016, 9:51 PM
Niedzielski renamed this task from [Differential] Update repo configuration to enable Differential to [Dev] [Differential] Update repo configuration to enable Differential.
Niedzielski updated the task description. (Show Details)

@bearND, @Mholloway, @Dbrant, is this something we want to prioritize? ?

I'd lean toward deprioritizing this until there's more of a drop-in CI solution ready to go.

@Mholloway: CI in differential is a drop-in solution currently, however, I'm not sure if it currently meets the needs of the android team. At any rate, I would be happy to work with you to make sure it's up to the task.

Niedzielski renamed this task from [Dev] [Differential] Update repo configuration to enable Differential to [Differential] Update repo configuration to enable Differential.Nov 13 2016, 10:13 PM
Niedzielski added a project: Technical-Debt.
LGoto closed this task as Declined.Apr 3 2018, 10:36 PM
LGoto added a subscriber: LGoto.

Closed as part of board grooming process.